/* src/config.h.in.  Generated from configure.ac by autoheader.  */

/* "Prefix for shared files." */
#undef DATADIR

/* build for use with Coverity */
#undef ENABLE_COVERITY_BUILD

/* build with sanitizers enabled */
#undef ENABLE_SANITIZERS

/* Rexec liblxc as memfd */
#undef ENFORCE_MEMFD_REXEC

/* enforce thread-safety otherwise fail the build */
#undef ENFORCE_THREAD_SAFETY

/* Define to 1 if you have the `clone3' function. */
#undef HAVE_CLONE3

/* Define to 1 if you have the `close_range' function. */
#undef HAVE_CLOSE_RANGE

/* Define to 1 if you have the `confstr' function. */
#undef HAVE_CONFSTR

/* Define to 1 if you have the declaration of `PR_CAPBSET_DROP', and to 0 if
   you don't. */
#undef HAVE_DECL_PR_CAPBSET_DROP

/* Define to 1 if you have the declaration of `PR_GET_NO_NEW_PRIVS', and to 0
   if you don't. */
#undef HAVE_DECL_PR_GET_NO_NEW_PRIVS

/* Define to 1 if you have the declaration of `PR_SET_NO_NEW_PRIVS', and to 0
   if you don't. */
#undef HAVE_DECL_PR_SET_NO_NEW_PRIVS

/* Define to 1 if you have the declaration of `seccomp_notify_fd', and to 0 if
   you don't. */
#undef HAVE_DECL_SECCOMP_NOTIFY_FD

/* Define to 1 if you have the declaration of
   `seccomp_syscall_resolve_name_arch', and to 0 if you don't. */
#undef HAVE_DECL_SECCOMP_SYSCALL_RESOLVE_NAME_ARCH

/* Define to 1 if you have the declaration of `strerror_r', and to 0 if you
   don't. */
#undef HAVE_DECL_STRERROR_R

/* Define to 1 if you have the <dlfcn.h> header file. */
#undef HAVE_DLFCN_H

/* Define to 1 if you have the `endmntent' function. */
#undef HAVE_ENDMNTENT

/* Define to 1 if you have the `execveat' function. */
#undef HAVE_EXECVEAT

/* Define to 1 if you have the `faccessat' function. */
#undef HAVE_FACCESSAT

/* Define to 1 if you have the `fgetln' function. */
#undef HAVE_FGETLN

/* Define to 1 if you have the `fmemopen' function. */
#undef HAVE_FMEMOPEN

/* Define to 1 if you have the `fsconfig' function. */
#undef HAVE_FSCONFIG

/* Define to 1 if you have the `fsmount' function. */
#undef HAVE_FSMOUNT

/* Define to 1 if you have the `fsopen' function. */
#undef HAVE_FSOPEN

/* Define to 1 if you have the `fspick' function. */
#undef HAVE_FSPICK

/* Define to 1 if you have the `getgrgid_r' function. */
#undef HAVE_GETGRGID_R

/* Define to 1 if you have the `getline' function. */
#undef HAVE_GETLINE

/* Define to 1 if you have the `getsubopt' function. */
#undef HAVE_GETSUBOPT

/* Define to 1 if you have the `gettid' function. */
#undef HAVE_GETTID

/* Define to 1 if you have the `hasmntopt' function. */
#undef HAVE_HASMNTOPT

/* Have ifaddrs.h */
#undef HAVE_IFADDRS_H

/* Define to 1 if you have the <inttypes.h> header file. */
#undef HAVE_INTTYPES_H

/* Define to 1 if you have the `keyctl' function. */
#undef HAVE_KEYCTL

/* Define to 1 if you have the `cap' library (-lcap). */
#undef HAVE_LIBCAP

/* Define to 1 if you have the `dlog' library (-ldlog). */
#undef HAVE_LIBDLOG

/* Define to 1 if you have the `pthread' library (-lpthread). */
#undef HAVE_LIBPTHREAD

/* Define to 1 if you have the `seccomp' library (-lseccomp). */
#undef HAVE_LIBSECCOMP

/* Define to 1 if you have the `util' library (-lutil). */
#undef HAVE_LIBUTIL

/* Define to 1 if you have the <linux/genetlink.h> header file. */
#undef HAVE_LINUX_GENETLINK_H

/* Define to 1 if you have the <linux/netlink.h> header file. */
#undef HAVE_LINUX_NETLINK_H

/* Define to 1 if you have the <linux/unistd.h> header file. */
#undef HAVE_LINUX_UNISTD_H

/* Define to 1 if you have the `memfd_create' function. */
#undef HAVE_MEMFD_CREATE

/* Define to 1 if you have the <memory.h> header file. */
#undef HAVE_MEMORY_H

/* Define to 1 if you have the `mount_setattr' function. */
#undef HAVE_MOUNT_SETATTR

/* Define to 1 if you have the `move_mount' function. */
#undef HAVE_MOVE_MOUNT

/* Have %m format */
#undef HAVE_M_FORMAT

/* Define to 1 if you have the `openat2' function. */
#undef HAVE_OPENAT2

/* Define to 1 if you have the `openpty' function. */
#undef HAVE_OPENPTY

/* Define to 1 if you have the `open_tree' function. */
#undef HAVE_OPEN_TREE

/* Define to 1 if you have the `pivot_root' function. */
#undef HAVE_PIVOT_ROOT

/* Define to 1 if you have the `prlimit' function. */
#undef HAVE_PRLIMIT

/* Define to 1 if you have the `prlimit64' function. */
#undef HAVE_PRLIMIT64

/* Define if you have POSIX threads libraries and header files. */
#undef HAVE_PTHREAD

/* Have PTHREAD_PRIO_INHERIT. */
#undef HAVE_PTHREAD_PRIO_INHERIT

/* Define to 1 if you have the `pthread_setcancelstate' function. */
#undef HAVE_PTHREAD_SETCANCELSTATE

/* Define to 1 if you have the <pty.h> header file. */
#undef HAVE_PTY_H

/* Define to 1 if you have the `rand_r' function. */
#undef HAVE_RAND_R

/* Define to 1 if the system has the type `scmp_filter_ctx'. */
#undef HAVE_SCMP_FILTER_CTX

/* Define to 1 if you have the `sethostname' function. */
#undef HAVE_SETHOSTNAME

/* Define to 1 if you have the `setmntent' function. */
#undef HAVE_SETMNTENT

/* Define to 1 if you have the `setns' function. */
#undef HAVE_SETNS

/* Have static libcap */
#undef HAVE_STATIC_LIBCAP

/* Define to 1 if you have the `statvfs' function. */
#undef HAVE_STATVFS

/* Define to 1 if you have the <stdint.h> header file. */
#undef HAVE_STDINT_H

/* Define to 1 if you have the <stdlib.h> header file. */
#undef HAVE_STDLIB_H

/* Define to 1 if you have the `strchrnul' function. */
#undef HAVE_STRCHRNUL

/* Define to 1 if you have the `strerror_r' function. */
#undef HAVE_STRERROR_R

/* Define to 1 if you have the <strings.h> header file. */
#undef HAVE_STRINGS_H

/* Define to 1 if you have the <string.h> header file. */
#undef HAVE_STRING_H

/* Define to 1 if you have the `strlcat' function. */
#undef HAVE_STRLCAT

/* Define to 1 if you have the `strlcpy' function. */
#undef HAVE_STRLCPY

/* Define to 1 if the system has the type `struct clone_args'. */
#undef HAVE_STRUCT_CLONE_ARGS

/* Define to 1 if `cgroup' is a member of `struct clone_args'. */
#undef HAVE_STRUCT_CLONE_ARGS_CGROUP

/* Define to 1 if `set_tid' is a member of `struct clone_args'. */
#undef HAVE_STRUCT_CLONE_ARGS_SET_TID

/* Define to 1 if the system has the type `struct mount_attr'. */
#undef HAVE_STRUCT_MOUNT_ATTR

/* Define to 1 if the system has the type `struct open_how'. */
#undef HAVE_STRUCT_OPEN_HOW

/* Define to 1 if the system has the type `struct rtnl_link_stats64'. */
#undef HAVE_STRUCT_RTNL_LINK_STATS64

/* Define to 1 if the system has the type `struct seccomp_notif_sizes'. */
#undef HAVE_STRUCT_SECCOMP_NOTIF_SIZES

/* Define to 1 if you have the <sys/memfd.h> header file. */
#undef HAVE_SYS_MEMFD_H

/* Define to 1 if you have the <sys/personality.h> header file. */
#undef HAVE_SYS_PERSONALITY_H

/* Define to 1 if you have the <sys/resource.h> header file. */
#undef HAVE_SYS_RESOURCE_H

/* Define to 1 if you have the <sys/signalfd.h> header file. */
#undef HAVE_SYS_SIGNALFD_H

/* Define to 1 if you have the <sys/stat.h> header file. */
#undef HAVE_SYS_STAT_H

/* Define to 1 if you have the <sys/timerfd.h> header file. */
#undef HAVE_SYS_TIMERFD_H

/* Define to 1 if you have the <sys/types.h> header file. */
#undef HAVE_SYS_TYPES_H

/* Define if the compiler supports __thread */
#undef HAVE_TLS

/* Define to 1 if you have the <unistd.h> header file. */
#undef HAVE_UNISTD_H

/* Define to 1 if you have the `unshare' function. */
#undef HAVE_UNSHARE

/* Define to 1 if you have the `utmpxname' function. */
#undef HAVE_UTMPXNAME

/* Define to 1 if you have the <utmpx.h> header file. */
#undef HAVE_UTMPX_H

/* Define to 1 if the system has the type `__aligned_u64'. */
#undef HAVE___ALIGNED_U64

/* bionic libc */
#undef IS_BIONIC

/* Have cap_get_file */
#undef LIBCAP_SUPPORTS_FILE_CAPABILITIES

/* Define to the sub-directory where libtool stores uninstalled libraries. */
#undef LT_OBJDIR

/* Define to 1 if `major', `minor', and `makedev' are declared in <mkdev.h>.
   */
#undef MAJOR_IN_MKDEV

/* Define to 1 if `major', `minor', and `makedev' are declared in
   <sysmacros.h>. */
#undef MAJOR_IN_SYSMACROS

/* Enabling mutex debugging */
#undef MUTEX_DEBUGGING

/* Name of package */
#undef PACKAGE

/* Define to the address where bug reports for this package should be sent. */
#undef PACKAGE_BUGREPORT

/* Define to the full name of this package. */
#undef PACKAGE_NAME

/* Define to the full name and version of this package. */
#undef PACKAGE_STRING

/* Define to the one symbol short name of this package. */
#undef PACKAGE_TARNAME

/* Define to the home page for this package. */
#undef PACKAGE_URL

/* Define to the version of this package. */
#undef PACKAGE_VERSION

/* Define to necessary symbol if this constant uses a non-standard name on
   your system. */
#undef PTHREAD_CREATE_JOINABLE

/* Define to 1 if you have the ANSI C header files. */
#undef STDC_HEADERS

/* Define to 1 if strerror_r returns char *. */
#undef STRERROR_R_CHAR_P

/* Enable extensions on AIX 3, Interix.  */
#ifndef _ALL_SOURCE
# undef _ALL_SOURCE
#endif
/* Enable GNU extensions on systems that have them.  */
#ifndef _GNU_SOURCE
# undef _GNU_SOURCE
#endif
/* Enable threading extensions on Solaris.  */
#ifndef _POSIX_PTHREAD_SEMANTICS
# undef _POSIX_PTHREAD_SEMANTICS
#endif
/* Enable extensions on HP NonStop.  */
#ifndef _TANDEM_SOURCE
# undef _TANDEM_SOURCE
#endif
/* Enable general extensions on Solaris.  */
#ifndef __EXTENSIONS__
# undef __EXTENSIONS__
#endif


/* Version number of package */
#undef VERSION

/* Enable large inode numbers on Mac OS X 10.5.  */
#ifndef _DARWIN_USE_64_BIT_INODE
# define _DARWIN_USE_64_BIT_INODE 1
#endif

/* Number of bits in a file offset, on hosts where this is settable. */
#undef _FILE_OFFSET_BITS

/* Define for large files, on AIX-style hosts. */
#undef _LARGE_FILES

/* Define to 1 if on MINIX. */
#undef _MINIX

/* Define to 2 if the system does not provide POSIX.1 features except with
   this defined. */
#undef _POSIX_1_SOURCE

/* Define to 1 if you need to in order for `stat' and other things to work. */
#undef _POSIX_SOURCE

/* Define to the compiler TLS keyword */
#undef thread_local
